Playlists
Entities
List medias
GET
{{baseHost}}/v1/playlists/:playlist_id/entitiesReturns the items currently in the playlist, in order.
List medias in playlist
Responses
{ "data": [ { "id": "<UUID>", "position": 1, "status": "done", "title": "4k_Limp+Bizkit+-+Rollin'+(Air+Raid+Vehicle)+[4K]-2160p (3)", "description": "", "duration": 243.87675, "created_at": "2026-04-06T13:58:37.847191Z", "updated_at": "2026-04-21T20:30:52.543151Z" } ]}Add medias
POST
{{baseHost}}/v1/playlists/:playlist_id/entitiesAppends one or more videos to the playlist. If replace is true, the existing contents are cleared first.
Request body (json)
{ "entity_ids": [ "<UUID>" ]}Responses
{ "data": { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "New playlist", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_share": {}, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/je7WZBZhdMFQKPHHHmMr2m", "embed_link": "https://kinescope.io/embed/pl/je7WZBZhdMFQKPHHHmMr2m" }}Delete medias
DELETE
{{baseHost}}/v1/playlists/:playlist_id/entitiesRemoves the specified items from the playlist.
Request body (json)
{ "entity_ids": [ "<UUID>" ]}Responses
{ "data": { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "New playlist", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_share": {}, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/je7WZBZhdMFQKPHHHmMr2m", "embed_link": "https://kinescope.io/embed/pl/je7WZBZhdMFQKPHHHmMr2m" }}Move media
PUT
{{baseHost}}/v1/playlists/:playlist_id/entities/:media_id/moveChanges the position of an item within the playlist.
Request body (json)
{ "position": 2}Responses
{ "data": { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "Playlist updated", "description": "Description updated", "privacy_type": "anywhere", "privacy_domains": [], "privacy_share": {}, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/je7WZBZhdMFQKPHHHmMr2m", "embed_link": "https://kinescope.io/embed/pl/je7WZBZhdMFQKPHHHmMr2m" }}Get playlist
GET
{{baseHost}}/v1/playlists/:playlist_idRetrieves the details of a single playlist by its unique ID.
Responses
{ "data": { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": " ", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": {}, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/mN2NQtiPtGDeeKMcnL9pFS", "embed_link": "https://kinescope.io/embed/pl/mN2NQtiPtGDeeKMcnL9pFS" }}{ "error": { "code": 400404, "message": "not found" }}List playlists
GET
{{baseHost}}/v1/playlistsReturns a list of playlists. Results are paginated and can be filtered via query parameters.
Responses
{ "meta": { "pagination": { "page": 1, "per_page": 100, "total": 32 }, "order": {"name":"desc"} }, "data": [ { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "test", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/jYTf2LiKf9EjSVdYrQqG7G", "embed_link": "https://kinescope.io/embed/pl/jYTf2LiKf9EjSVdYrQqG7G" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "test", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/an74We1dQy1zDXQhj5gi9t", "embed_link": "https://kinescope.io/embed/pl/an74We1dQy1zDXQhj5gi9t" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "playlist_2videos", "description": "test playlist", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/ntkKeCY2h2C7sAjUoUJFDw", "embed_link": "https://kinescope.io/embed/pl/ntkKeCY2h2C7sAjUoUJFDw" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "Sample playlist", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": true, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/niGucFE5xEkSGV95r2tazX", "embed_link": "https://kinescope.io/embed/pl/niGucFE5xEkSGV95r2tazX" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "New test playlist", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "created_at", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/mJU9b4AUj6NFzcDnWA1LZv", "embed_link": "https://kinescope.io/embed/pl/mJU9b4AUj6NFzcDnWA1LZv" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "Long playlist", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/oxZ8RtEB1bGWYv9H8G66k8", "embed_link": "https://kinescope.io/embed/pl/oxZ8RtEB1bGWYv9H8G66k8" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "test_pl_drm", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/qZnbjQisWyCfFpjascyM9X", "embed_link": "https://kinescope.io/embed/pl/qZnbjQisWyCfFpjascyM9X" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "test", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { "password": "123" }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/qdGu6BhoetX8U9xy4QtwqZ", "embed_link": "https://kinescope.io/embed/pl/qdGu6BhoetX8U9xy4QtwqZ" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "test", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/hWzGMKMAYQqcDtcqQgfmsX", "embed_link": "https://kinescope.io/embed/pl/hWzGMKMAYQqcDtcqQgfmsX" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "test", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/39C5nUf9k3K285RdqUCTbc", "embed_link": "https://kinescope.io/embed/pl/39C5nUf9k3K285RdqUCTbc" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "AI skills showcase", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/fDcMfTJvZ3KoPUrzZT17Tu", "embed_link": "https://kinescope.io/embed/pl/fDcMfTJvZ3KoPUrzZT17Tu" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "playlist", "description": "234324234", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/hXt9v7zHioVbNWVmaX7mX5", "embed_link": "https://kinescope.io/embed/pl/hXt9v7zHioVbNWVmaX7mX5" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "playlisst", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [ "gmail.com" ], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/2uTTZ5sjDTPYMXzALDcTwM", "embed_link": "https://kinescope.io/embed/pl/2uTTZ5sjDTPYMXzALDcTwM" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "New playlist 2", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "created_at", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/6WhqRL5RkLUQUAWUS9xv3x", "embed_link": "https://kinescope.io/embed/pl/6WhqRL5RkLUQUAWUS9xv3x" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "new playlist 1", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "created_at", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/db26iDXs5QRGAfJX1CMrub", "embed_link": "https://kinescope.io/embed/pl/db26iDXs5QRGAfJX1CMrub" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "New playlist", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/n89ZCES9ak6FmzL8UpqxcX", "embed_link": "https://kinescope.io/embed/pl/n89ZCES9ak6FmzL8UpqxcX" }, { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "New playlist", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_email_domains": [], "privacy_share": { }, "unique_codes_enabled": false, "tags": [], "settings": { "sort_field": "custom", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/gXaFFFd// … truncatedCreate playlist
POST
{{baseHost}}/v1/playlistsCreates a new playlist. Returns the newly created object on success.
| Field | Type | Description |
|---|---|---|
| name | string | Playlist name |
| parent_id | uuid | folder_id or project_id |
| entity_ids | []uuid | Array of video_id |
Request body (json)
{ "name": "Playlist 1", "parent_id": "<UUID>", "entity_ids": [ "<UUID>" ]}Responses
{ "data": { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "Playlist 1", "description": "", "privacy_type": "anywhere", "privacy_domains": [], "privacy_share": {}, "tags": [], "settings": { "sort_field": "created_at", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/vUJJ5W5wmgKBLwVEnHf9uN", "embed_link": "https://kinescope.io/embed/pl/vUJJ5W5wmgKBLwVEnHf9uN" }}Update playlist
PATCH
{{baseHost}}/v1/playlists/:playlist_idUpdates the specified playlist. Only fields provided in the request body are changed; others are left unchanged.
| Field | Type | Description |
|---|---|---|
| name | string | Playlist name |
| description | string | Description playlist |
| parent_id | uuid | folder_id or project_id |
| settings | object | Set sort field and order for list videos |
Request body (json)
{ "name": "Playlist updated", "description": "Description updated", "parent_id": "<UUID>", "privacy_type": "anywhere", "privacy_domains": [ "dddd.com" ], "settings": { "sort_field": "duration", "sort_order": "asc" }}Responses
{ "data": { "id": "<UUID>", "workspace_id": "<UUID>", "player_id": "<UUID>", "parent_id": "<UUID>", "name": "Playlist updated", "description": "Description updated", "privacy_type": "anywhere", "privacy_domains": [ "dddd.com" ], "privacy_share": {}, "tags": [], "settings": { "sort_field": "duration", "sort_order": "asc", "ignore_interactive_tools": false }, "play_link": "https://kinescope.io/pl/je7WZBZhdMFQKPHHHmMr2m", "embed_link": "https://kinescope.io/embed/pl/je7WZBZhdMFQKPHHHmMr2m" }}Delete playlist
DELETE
{{baseHost}}/v1/playlists/:playlist_idPermanently deletes the playlist. This action cannot be undone.
Responses
{ "data": { "success": true }}